Bug 169730 - program hangs when attempting to add new group
Summary: program hangs when attempting to add new group
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-users   
(Show other bugs)
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-10-02 11:30 UTC by Rick Larin
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-22 02:18:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rick Larin 2005-10-02 11:30:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Attempt to add new group>enter name in box>box turns grey and program hangs until stopped.

Version-Release number of selected component (if applicable):
1.2.39-0.fc4.1

How reproducible:
Always

Steps to Reproduce:
1.add new group
2.enter name
3.
  

Actual Results:  app hangs 

Expected Results:  name should be added to groups

Additional info:

Traceback (most recent call last):
  File "/usr/share/system-config-users/groupWindow.py", line 94, in on_groupWin_ok_button_clicked
    if not userGroupCheck.isGroupnameOk(groupName, self.groupWinGroupName):
  File "/usr/share/system-config-users/userGroupCheck.py", line 116, in isGroupnameOk
    return isUserGroupNameOk ('group', name, widget)
NameError: global name 'name' is not defined

Comment 1 Robin Laing 2005-10-02 22:35:03 UTC
I will second that this occurs.  Two new installs and fully updated have the
same problem.  One on a laptop and the other on a workstation.

It didn't make any difference if I was using the auto numbering or automatic
numbering.



Comment 2 Nils Philippsen 2005-10-04 15:16:30 UTC
Supposed to be fixed in system-config-users-1.2.41.

Comment 3 Fedora Update System 2005-10-04 17:44:10 UTC
From User-Agent: XML-RPC

system-config-users-1.2.41-0.fc4.1 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Comment 4 Bill Nottingham 2006-09-22 02:18:02 UTC
Closing bugs in MODIFIED state from prior Fedora releases. If this bug persists
in a current Fedora release (such as Fedora Core 5 or later), please reopen and
set the version appropriately.


Note You need to log in before you can comment on or make changes to this bug.